import de.pakad.tools.StdOut;

/**
 * Ausgabe einer ASCII-Tabelle.
 *
 * <p>Die Zeichen mit den Codes 32 bis einschließlich 127
 * werden in einer mehrspaltigen Tabelle paarweise (Code: Zeichen)
 * ausgegeben.</p>
 *
 * @author Karsten Brodmann
 */
public class ASCII {
    /**
     * @param args nicht verwendet
     */
    public static void main(String[] args) {
        /* Der Zeichencode errechnet sich als:
         *           (Zeilenindex*8) + Spaltenindex
         *
         * Das erste Zeichen ist das Zeichen mit dem Code 32, weil
         * die Spaltenanzahl auf 8 festgesetzt und die Zeilen
         * mit 4 beginnen.
         */
        short i = 4;         // Zeilenindex
        while(i <= 15) {     // über alle Zeilen...
            short j = 0;     // Spaltenindex
            while(j <= 7) {  // über alle Spalten...
                StdOut.printf("%3d: %c   ", (i*8)+j, (i*8)+j);
                j++;
            }
            StdOut.println();
            i++;
        }
    }
}